aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Corallo <git@bluematt.me>2017-10-20 16:35:16 -0400
committerMarcoFalke <falke.marco@gmail.com>2017-10-23 17:28:32 +0200
commit01223a02613610c7477449929dc74db96229f13d (patch)
tree7425e38e232a3e2f032cb85110f04721f2b1bfc9
parentadbc9d164a52736408a146294981cdba66de9755 (diff)
downloadbitcoin-01223a02613610c7477449929dc74db96229f13d.tar.xz
[verify-commits] Allow revoked keys to expire
Github-Pull: #11539 Rebased-From: d23be309c2c45f655d5f5405e031833fb4b6bbb4
-rwxr-xr-xcontrib/verify-commits/gpg.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/contrib/verify-commits/gpg.sh b/contrib/verify-commits/gpg.sh
index b01e2a6d39..abd8f5fd9f 100755
--- a/contrib/verify-commits/gpg.sh
+++ b/contrib/verify-commits/gpg.sh
@@ -46,6 +46,11 @@ for LINE in $(echo "$GPG_RES"); do
REVSIG=true
GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
;;
+ "[GNUPG:] EXPKEYSIG "*)
+ [ "$BITCOIN_VERIFY_COMMITS_ALLOW_REVSIG" != 1 ] && exit 1
+ REVSIG=true
+ GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
+ ;;
esac
done
if ! $VALID; then